<?php

namespace Drupal\vmware\Entity;

use Drupal\views\EntityViewsData;

/**
 * Provides the views data for the VMware VM entity type.
 */
class VmwareVmViewsData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    // Additional information for Views integration, such as table joins, can be
    // put here.
    $data['vmware_vm']['vm_bulk_form'] = [
      'title' => $this->t('VM operations bulk form'),
      'help' => $this->t('Add a form element that lets you run operations on multiple VMs.'),
      'field' => [
        'id' => 'vm_bulk_form',
      ],
    ];

    return $data;
  }

}
